<template>
  <div>
    <!-- PC -->
    <div class="gt-md mainWidth">
      <top-bar />
      <div class="row content">
        <div class="font-24 q-px-md topic">มาใหม่</div>
        <div class="row">
          <div style="width: 20%" v-for="(item, index) in data" :key="index">
            <book-cover :bookData="item" />
          </div>
        </div>
      </div>
    </div>
    <div class="gt-xs lt-lg">
      <top-bar />
      <div class="row content">
        <div class="font-24 q-px-md topic">มาใหม่</div>
        <div class="row q-pt-md">
          <div style="width: 25%" v-for="(item, index) in data2" :key="index">
            <book-cover :bookData="item" />
          </div>
        </div>
      </div>
    </div>
    <div class="lt-sm" style="overflow-x: hidden">
      <top-bar />
      <div class="row content">
        <div class="font-24 q-px-md topic">มาใหม่</div>
        <div class="row q-pt-md">
          <div style="width: 50%" v-for="(item, index) in data" :key="index">
            <book-cover :bookData="item" />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import topBar from "../components/topbar.vue";
import bookCover from "../components/bookcovernew.vue";
export default {
  components: { topBar, bookCover },
  data() {
    return {
      data: [],
      data2: [],
    };
  },
  methods: {
    goToMain() {
      this.$router.push("/");
    },
    async loadData() {
      let url = this.serverpath + "newchapter.php";
      let res = await axios.get(url);
      let dataInput = res.data;

      let bookid = [...new Set(dataInput.map((x) => x.bookid))];
      bookid.forEach((x) => {
        let bookData = dataInput.filter((y) => y.bookid == x);
        this.data.push(bookData[0]);
      });
      this.data = this.data.slice(0, 50);
      this.data2 = this.data.slice(0, 48);
    },
  },
  mounted() {
    this.loadData();
  },
};
</script>

<style lang="scss" scoped>
.content {
  position: relative;
  top: 80px;
}
</style>
